## gst-plugins-base1.0 1.26.0

=== meson_options.txt ===
option('audioresample_format', type : 'combo',
       choices : ['int', 'float', 'auto'], value : 'auto')
option('install_plugins_helper', type: 'string', value: '',
       description: 'Path of distro helper script to call to install missing plugins')
option('iso-codes', type : 'feature', value : 'auto',
       description: 'Use iso-codes in libgsttag (for language names)')

# OpenGL integration library options
option('gl_api', type : 'array', choices : ['opengl', 'gles2', 'auto'], value : ['auto'],
       description : 'A comma separated list of opengl APIs to enable building against')
option('gl_platform', type : 'array',
       choices : ['glx', 'egl', 'cgl', 'wgl', 'eagl', 'auto'], value : ['auto'],
       description : 'A comma separated list of opengl platforms to enable building against')
option('gl_winsys', type : 'array',
       choices : ['x11', 'wayland', 'win32', 'winrt', 'cocoa', 'dispmanx', 'egl', 'surfaceless', 'viv-fb', 'gbm', 'android', 'auto'], value : ['auto'],
       description : 'A comma separated list of opengl windows systems to enable building against. Supported values are x11, wayland, win32, winrt, cocoa, dispmanx, egl, viv-fb, gbm, and android')
option('egl_module_name', type : 'string', value : '',
       description : 'The file to pass to g_module_open to open the libEGL library (default: libEGL)')
option('opengl_module_name', type : 'string', value : '',
       description : 'The file to pass to g_module_open to open the libGL library (default: libGL)')
option('gles2_module_name', type : 'string', value : '',
       description : 'The file to pass to g_module_open to open the libGLESv2 library (default: libGLESv2)')

# Feature option for opengl plugin and integration library
option('gl', type : 'feature', value : 'auto', description : 'OpenGL integration library and OpenGL plugin')
option('gl-graphene', type : 'feature', value : 'auto', description : 'Use Graphene in OpenGL plugin')
option('gl-jpeg', type : 'feature', value : 'auto', description : 'Use libjpeg in OpenGL plugin')
option('gl-png', type : 'feature', value : 'auto', description : 'Use libpng in OpenGL plugin')

# Feature options for plugins with no external deps
option('adder', type : 'feature', value : 'auto')
option('app', type : 'feature', value : 'auto')
option('audioconvert', type : 'feature', value : 'auto')
option('audiomixer', type : 'feature', value : 'auto')
option('audiorate', type : 'feature', value : 'auto')
option('audioresample', type : 'feature', value : 'auto')
option('audiotestsrc', type : 'feature', value : 'auto')
option('compositor', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('drm', type : 'feature', value : 'auto')
option('dsd', type : 'feature', value : 'auto')
option('encoding', type : 'feature', value : 'auto')
option('gio', type : 'feature', value : 'auto')
option('gio-typefinder', type : 'feature', value : 'auto')
option('overlaycomposition', type : 'feature', value : 'auto')
option('pbtypes', type : 'feature', value : 'auto')
option('playback', type : 'feature', value : 'auto')
option('rawparse', type : 'feature', value : 'auto')
option('subparse', type : 'feature', value : 'auto')
option('tcp', type : 'feature', value : 'auto')
option('typefind', type : 'feature', value : 'auto')
option('videoconvertscale', type : 'feature', value : 'auto')
option('videorate', type : 'feature', value : 'auto')
option('videotestsrc', type : 'feature', value : 'auto')
option('volume', type : 'feature', value : 'auto')

# Feature options for plugins with external deps
option('alsa', type : 'feature', value : 'auto', description : 'ALSA audio source/sink plugin')
option('cdparanoia', type : 'feature', value : 'auto', description : 'cdparanoia plugin')
option('libvisual', type : 'feature', value : 'auto', description : 'libvisual audio visualization plugin')
option('ogg', type : 'feature', value : 'auto', description : 'ogg parser, muxer, demuxer plugin')
option('opus', type : 'feature', value : 'auto', description : 'OPUS audio codec plugin')
option('pango', type : 'feature', value : 'auto', description : 'Pango text rendering and overlay plugin')
option('theora', type : 'feature', value : 'auto', description : 'Theora video parser and codec plugin')
option('tremor', type : 'feature', value : 'auto', description : 'Integer Vorbis decoder plugin for devices without floating point')
option('vorbis', type : 'feature', value : 'auto', description : 'Vorbis audio parser, tagger, and codec plugin')
option('x11', type : 'feature', value : 'auto', description : 'X11 ximagesink plugin, and X11 support in libraries, plugins, examples')
option('xshm', type : 'feature', value : 'auto', description : 'X11 shared memory support for X11 plugins')
option('xvideo', type : 'feature', value : 'auto', description : 'X11 XVideo xvimagesink plugin')
option('xi', type : 'feature', value : 'auto', description : 'X11 input extension for touch support in ximagesink')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('tools', type : 'feature', value : 'auto', yield : true)
option('introspection', type : 'feature', value : 'auto', yield : true, description : 'Generate gobject-introspection bindings')
option('nls', type : 'feature', value : 'auto', yield: true, description : 'Enable native language support (translations)')
option('orc', type : 'feature', value : 'auto', yield : true)
option('qt5', type : 'feature', value : 'auto', yield : true, description : 'Qt5 QML examples')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')
option('glib_debug', type : 'feature', value : 'auto', yield : true, description : 'Enable GLib debug infrastructure (see docs/macros.txt)')
option('glib_assert', type : 'boolean', value : true, yield : true, description : 'Enable GLib assertion (see docs/macros.txt)',
  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
)
option('glib_checks', type : 'boolean', value : true, yield : true, description : 'Enable GLib checks such as API guards (see docs/macros.txt)',
  deprecated: {'enabled' : 'true', 'disabled' : 'false', 'auto' : 'false'},
)

# Deprecated, kept for backward compat
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_debug')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_assert')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)',
       deprecated: 'glib_checks')

=== debian/changelog ===
gst-plugins-base1.0 (1.26.0-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: DoS via stack overflow in subparse plugin
    - debian/patches/CVE-2025-47806.patch: make sure that subrip time
      string is not too long before zero-padding in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47806
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47807.patch: check for valid UTF-8 before
      cleaning up lines and check for regex replace errors in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47807
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47808.patch: don't append NULL + 1 to the
      string buffer when parsing lines without text in
      gst/subparse/tmplayerparse.c.
    - CVE-2025-47808

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 08:59:51 -0400

gst-plugins-base1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/patches: remove video-Move-Y410-into-the-correct-place-for-big-endian-pla.patch
  * d/symbols: add 1.25.1 new symbols
  * d/control: bump GStreamer version dependency
  * d/patches: test for latomic
  * d/symbols: remove gst_egl_image_can_emulate for hurd
  * d/patches: add 0003-urisourcebin-Make-parsebin-activation-more-reliable
  * d/control: update dependency version to 1.25.90
  * d/symbols: update with new h265 codec utils
  * d/control: update with EGL symbol
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 09:42:36 +0100

gst-plugins-base1.0 (1.24.12-1) unstable; urgency=medium

  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 08:45:37 +0100

gst-plugins-base1.0 (1.24.11-3) unstable; urgency=medium

  * d/patches: disable some GL/Mesa tests for ppc64el failures

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 Jan 2025 16:44:55 +0100

gst-plugins-base1.0 (1.24.11-2) unstable; urgency=medium

  * d/watch: pin on 1.24.x
  * d/control: hurd-any dependency fixes (Closes: #1093411)

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 20 Jan 2025 10:19:26 +0100

=== debian/control ===
Source: gst-plugins-base1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Marc Leeman <marc.leeman@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-dev (>= 1.15.1),
               pkgconf (>= 0.11.0),
               meson (>= 0.62),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.62),
               libgstreamer1.0-dev (>= 1.26.0),
               liborc-0.4-dev (>= 1:0.4.24),
               zlib1g-dev (>= 1:1.1.4),
               libgl-dev,
               gstreamer1.0-tools,
               libegl-dev,
               libgles-dev,
               libgraphene-1.0-dev,
               libtheora-dev (>= 1.1),
               libvorbis-dev (>= 1.3.1),
               libopus-dev (>= 0.9.4),
               libogg-dev (>= 1.0),
               libpango1.0-dev (>= 1.22),
               libbrotli-dev,
               libpng-dev,
               libjpeg-dev,
               libcdparanoia-dev (>= 3.10.2) [!hurd-any],
               libvisual-0.4-dev (>= 0.4.0),
               libx11-xcb-dev,
               libxi-dev,
               libxv-dev (>= 6.8.2.dfsg.1-3),
               libxt-dev (>= 6.8.2.dfsg.1-3),
               libasound2-dev (>= 0.9.1) [linux-any],
               libdrm-dev (>= 2.4.55) [linux-any],
               libgbm-dev [linux-any],
               libgudev-1.0-dev (>= 147) [linux-any],
               libwayland-dev (>= 1.11) [linux-any],
               wayland-protocols (>= 1.15) [linux-any],
               iso-codes,
               libgirepository1.0-dev (>= 0.9.12-4~),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               gir1.2-gstreamer-1.0
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-base-apps
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         gstreamer1.0-tools
Description: GStreamer helper programs from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains helper programs from the "base" set, an essential
 exemplary set of elements.

Package: libgstreamer-plugins-base1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         iso-codes
Breaks: totem-gstreamer (<= 2.17.92-0ubuntu1),
        gstreamer1.0-plugins-bad (<< 1.15.1),
        libgstreamer-plugins-bad1.0-0 (<< 1.15.1)
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.15.1)
Recommends: gstreamer1.0-plugins-base
Suggests: libvisual-0.4-plugins
Description: GStreamer libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains libraries from the "base" set, an essential
 exemplary set of elements.

Package: libgstreamer-plugins-base1.0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (= ${binary:Version}),
         libgstreamer-gl1.0-0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         pkgconf,
         libgstreamer1.0-dev (>= 1.16.2),
         libglib2.0-dev,
         liborc-0.4-dev (>= 1:0.4.24),
         libgl-dev,
         libegl-dev,
         libgles-dev,
         libx11-xcb-dev,
         libwayland-dev (>= 1.11) [linux-any],
         libdrm-dev (>= 2.4.55) [linux-any],
         libgbm-dev [linux-any],
         libgudev-1.0-dev (>= 147) [linux-any],
         libopengl-dev [hurd-any],
         gir1.2-gst-plugins-base-1.0 (= ${binary:Version})
Breaks: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
Description: GStreamer development files for libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for GStreamer libraries from
 the "base" set, an essential exemplary set of elements.

Package: libgstreamer-gl1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-gl
Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer GL libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GL library.

Package: gstreamer1.0-alsa
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.26.0)
Suggests: alsa-utils (>= 0.9.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for ALSA
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for the ALSA library.  ALSA
 is the Advanced Linux Sound Architecture.

Package: gstreamer1.0-plugins-base
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.26.0)
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
Suggests: gvfs
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "base" set, an
 essential exemplary set of elements.

Package: gstreamer1.0-x
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.26.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins for X11 and Pango
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins for X11 video output, both
 for standard Xlib support and for the Xv extension, as well as the
 plugin for Pango-based text rendering and overlay.

Package: gstreamer1.0-gl
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.26.0),
         libgstreamer-gl1.0-0 (>= 1.26.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
Description: GStreamer plugins for GL
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins for GL.

Package: gir1.2-gst-plugins-base-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GStreamer Plugins Base library
 This package contains introspection data for the GStreamer Plugins Base
 library.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## gst-plugins-base1.0 1.26.2

=== debian/changelog ===
gst-plugins-base1.0 (1.26.2-1) unstable; urgency=medium

  * d/copyright: review with licenserecon
  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 30 May 2025 09:27:24 +0200

gst-plugins-base1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: add default
  * New upstream version 1.26.1
  * d/patches: remove 0002-test-latomic.patch
  * d/patches: remove 0003-urisourcebin-Make-parsebin-activation-more-reliable.patch

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 08:53:31 +0200

## gst-plugins-base1.0 1.26.3

=== debian/changelog ===
gst-plugins-base1.0 (1.26.3-1) experimental; urgency=medium

  * d/copyright: duplicate-globbing-patterns ext/ogg/vorbis_parse.c
  * d/copyright: BSD (3 clause) -> BSD-3-clause
  * d/copyright: fix <thiago.sousa.santos collabora co uk>
  * d/copyright: add LGPL-2.1+
  * d/copyright: add GPL-2 paragraph
  * d/copyright: add MIT paragraph
  * d/copyright: superfluous-file-pattern
  * d/control: bump Standards-Version to 4.7.2
  * New upstream version 1.26.3

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 08:55:58 +0200

## gst-plugins-base1.0 1.26.4

=== debian/changelog ===
gst-plugins-base1.0 (1.26.4-1) experimental; urgency=medium

  * d/copyright: add reference to /usr/share/common-licenses/LGPL
  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 19:57:53 +0200

## gst-plugins-base1.0 1.26.5

=== debian/changelog ===
gst-plugins-base1.0 (1.26.5-2) unstable; urgency=medium

  * trixie has been released, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 08:53:52 +0200

gst-plugins-base1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 08:55:38 +0200

## gst-plugins-base1.0 1.26.6

=== debian/changelog ===
gst-plugins-base1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 09:26:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-base1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
@@ -48,7 +47,7 @@
                gir1.2-freedesktop,
                gir1.2-gstreamer-1.0
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0/
 Homepage: https://gstreamer.freedesktop.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export HOME=$(CURDIR)/fake-home

# upstream version
gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Base Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-base1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Base Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-base1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Base Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-base1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dinstall_plugins_helper="/usr/bin/gstreamer-codec-install"
conf_flags += -Dauto_features=enabled -Dexamples=disabled -Dtremor=disabled -Ddoc=disabled

ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags += -Dcdparanoia=disabled
conf_flags += -Ddrm=disabled
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
conf_flags += -Dalsa=disabled
endif

%:
	dh $@

execute_before_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 ppc64el))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

override_dh_makeshlibs:
	dh_makeshlibs -plibgstreamer-plugins-base1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-plugins-base1.0-0 (>= $(gst_version))' -- -c4
	dh_makeshlibs -plibgstreamer-gl1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-gl1.0-0 (>= $(gst_version))' -- -c4

execute_after_dh_install:
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-base debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstcdparanoia.so
endif

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-base1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):debian/libgstreamer-gl1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
	    dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-base/ gst-plugins-base-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-base1.0 1.26.7

=== debian/changelog ===
gst-plugins-base1.0 (1.26.7-1) unstable; urgency=medium

  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 09:35:29 +0200

gst-plugins-base1.0 (1.26.6-3) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-gst-plugins-base-1.0: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Depends}
  * Install GstAudio-1.0.gir into ${libdir}/gir-1.0 (Closes: #1023591)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Sep 2025 14:56:49 +0200

gst-plugins-base1.0 (1.26.6-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add Build-Depends on systematic names for gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Sep 2025 14:30:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-dev (>= 1.15.1),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gmodule-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gst-1.0-dev,
+               gir1.2-gstbase-1.0-dev,
+               gobject-introspection (>= 1.80),
                pkgconf (>= 0.11.0),
                meson (>= 0.62),
                xvfb,
@@ -42,7 +48,6 @@
                libwayland-dev (>= 1.11) [linux-any],
                wayland-protocols (>= 1.15) [linux-any],
                iso-codes,
-               libgirepository1.0-dev (>= 0.9.12-4~),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                gir1.2-gstreamer-1.0
@@ -96,8 +101,10 @@
 
 Package: libgstreamer-plugins-base1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          ${shlibs:Depends},
          libgstreamer-plugins-base1.0-0 (= ${binary:Version}),
          libgstreamer-gl1.0-0 (= ${binary:Version}),
@@ -118,6 +125,7 @@
          gir1.2-gst-plugins-base-1.0 (= ${binary:Version})
 Breaks: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
 Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
+Provides: ${gir:Provides}
 Description: GStreamer development files for libraries from the "base" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -258,6 +266,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GStreamer Plugins Base library
  This package contains introspection data for the GStreamer Plugins Base
  library.

## gst-plugins-base1.0 1.26.8

=== debian/changelog ===
gst-plugins-base1.0 (1.26.8-1) unstable; urgency=medium

  * d/control: bump meson version to match meson.build
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 10:17:49 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                gir1.2-gstbase-1.0-dev,
                gobject-introspection (>= 1.80),
                pkgconf (>= 0.11.0),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),

## gst-plugins-base1.0 1.26.9

=== debian/changelog ===
gst-plugins-base1.0 (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 09:37:14 +0100

## gst-plugins-base1.0 1.26.10

=== debian/changelog ===
gst-plugins-base1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 17:27:32 +0100

## gst-plugins-base1.0 1.27.2

=== debian/changelog ===
gst-plugins-base1.0 (1.27.2-3build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:18:37 -0500

gst-plugins-base1.0 (1.27.2-3) experimental; urgency=medium

  [ Simon McVittie ]
  * d/control: Add Build-Depends on systematic names for gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 16:26:55 +0200

gst-plugins-base1.0 (1.27.2-2) experimental; urgency=medium

  [ Simon McVittie ]
  * gir1.2-gst-plugins-base-1.0: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Depends}
  * Install GstAudio-1.0.gir into ${libdir}/gir-1.0 (Closes: #1023591)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 14 Oct 2025 16:24:35 +0200

gst-plugins-base1.0 (1.27.2-1) experimental; urgency=medium

  * d/control: API change, gst deps to 1.27.1
  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols in core
  * d/symbols: add new

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 10:43:26 +0200

gst-plugins-base1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin to 1.26.x"
  * d/gbp.conf: adjust for experimental
  * New upstream version 1.27.1
  * d/symbols: add new
  * d/patches: refresh

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 16:47:49 +0200

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-base/ gst-plugins-base-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@

## gst-plugins-base1.0 1.27.50

=== debian/changelog ===
gst-plugins-base1.0 (1.27.50-2) experimental; urgency=medium

  * d/patches: disable gstglcolorconvert

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 10:02:40 +0100

gst-plugins-base1.0 (1.27.50-1) experimental; urgency=medium

  * New upstream version 1.27.50
  * d/symbols: add new
  * d/control: update dependency to 1.27.50 (api change)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Dec 2025 13:13:43 +0100

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                gir1.2-gstbase-1.0-dev,
                gobject-introspection (>= 1.80),
                pkgconf (>= 0.11.0),
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.26.0),
+               libgstreamer1.0-dev (>= 1.27.50),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
@@ -161,7 +161,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.26.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.50)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -186,7 +186,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.26.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.50)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -213,7 +213,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.26.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.50)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -238,8 +238,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.26.0),
-         libgstreamer-gl1.0-0 (>= 1.26.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.50),
+         libgstreamer-gl1.0-0 (>= 1.27.50)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}

## gst-plugins-base1.0 1.27.90

=== debian/changelog ===
gst-plugins-base1.0 (1.27.90-1) experimental; urgency=medium

  * New upstream version 1.27.90
  * d/control: update dependencies to 1.27.90

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 06 Jan 2026 09:28:44 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.50),
+               libgstreamer1.0-dev (>= 1.27.90),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
@@ -161,7 +161,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.50)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -186,7 +186,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.50)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -213,7 +213,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.50)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -238,8 +238,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.50),
-         libgstreamer-gl1.0-0 (>= 1.27.50)
+         libgstreamer-plugins-base1.0-0 (>= 1.27.90),
+         libgstreamer-gl1.0-0 (>= 1.27.90)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}

## gst-plugins-base1.0 1.28.0

=== debian/changelog ===
gst-plugins-base1.0 (1.28.0-1) unstable; urgency=medium

  [ Marc Leeman ]
  * d/symbols: add new
  * d/patches: disable gstglcolorconvert
  * New upstream version 1.28.0
  * d/control: update dependencies to 1.28.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 12:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                gir1.2-gstbase-1.0-dev,
                gobject-introspection (>= 1.80),
                pkgconf (>= 0.11.0),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.28.0),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
@@ -161,7 +161,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -186,7 +186,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -213,7 +213,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -238,8 +238,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90),
-         libgstreamer-gl1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0),
+         libgstreamer-gl1.0-0 (>= 1.28.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}

## gst-plugins-base1.0 1.28.1

=== debian/changelog ===
gst-plugins-base1.0 (1.28.1-1) unstable; urgency=medium

  * d/control: update to Standards-Version 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 09:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gst-plugins-base1.0
 Section: libs
-Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
@@ -52,7 +51,7 @@
                gir1.2-freedesktop,
                gir1.2-gstreamer-1.0
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0/
 Homepage: https://gstreamer.freedesktop.org
